关注

为什么在把Unity4升级到Unity5后已建的项目不能正常编译了?

问题

  • 将Unity 4升级到Unity 5
  • 无法将项目编译到iOS/Android平台

原因

在Unity 4下搭建项目并编译到iOS/Android平台使用的是Unity 4的UI系统。

当升级到Unity 5后,再读取之前编译好的项目,因为UI系统已经升级到了Unity 5,此时Unity 4的UI系统已经无法正常工作,因此无法再编译到 iOS/Android平台。

解决方案

Unity 4和Unity 5的UI系统是不同的。如果已经在Unity 4下搭建了项目,只需要将整个项目复制到Unity 5下即可。

如果在Unity 4的项目中使用了资源商店中的资源,则需要把这些资源在项目中删除再在Unity 5中倒入最新的版本。

更多信息

如何升级已购买的资源的相关文章链接

这篇文章有帮助吗?
0 人中有 0 人觉得有帮助
还有其它问题?提交请求

0 评论

登录写评论。